"""empty message

Revision ID: 0df40d0a3aa8
Revises: d531d8f226c1
Create Date: 2021-02-14 23:39:03.339730

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '0df40d0a3aa8'
down_revision = 'd531d8f226c1'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('ix_settings_api_create', table_name='settings')
    op.drop_index('ix_settings_api_enigma', table_name='settings')
    op.drop_index('ix_settings_api_infos', table_name='settings')
    op.drop_index('ix_settings_api_mag', table_name='settings')
    op.drop_index('ix_settings_m3u', table_name='settings')
    op.drop_index('ix_settings_server', table_name='settings')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index('ix_settings_server', 'settings', ['server'], unique=False)
    op.create_index('ix_settings_m3u', 'settings', ['m3u'], unique=False)
    op.create_index('ix_settings_api_mag', 'settings', ['api_mag'], unique=False)
    op.create_index('ix_settings_api_infos', 'settings', ['api_infos'], unique=False)
    op.create_index('ix_settings_api_enigma', 'settings', ['api_enigma'], unique=False)
    op.create_index('ix_settings_api_create', 'settings', ['api_create'], unique=False)
    # ### end Alembic commands ###
